<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="DSReport" targetNamespace="http://tempuri.org/DSReport.xsd" xmlns:mstns="http://tempuri.org/DSReport.xsd" xmlns="http://tempuri.org/DSReport.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="gwcs" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="gwcs (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.FCM0000.Properties.Settings.GlobalReference.Default.gwcs" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="PersonInvStockTableAdapter" GeneratorDataComponentClassName="PersonInvStockTableAdapter" Name="PersonInvStock" UserDataComponentName="PersonInvStockTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectName="GroupWare.dbo.Inventory" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT  dbo.getUserName(uid) AS username, ISNULL(dbo.getProjectName(project), '--') AS project, MAX(pdate) AS pdate, ItemName, SUM(dr_qty) AS stock
FROM     Inventory
WHERE  (dbo.getUserName(uid) LIKE @uid)
GROUP BY dbo.getUserName(uid), dbo.getProjectName(project), ItemName
HAVING  (SUM(dr_qty) &lt;&gt; 0)
ORDER BY username, project, ItemName</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="uid" ColumnName="" DataSourceName="" DataTypeServer="unknown" DbType="AnsiString" Direction="Input" ParameterName="@uid" Precision="0" Scale="0" Size="1024" SourceColumn="" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="username" DataSetColumn="username" />
              <Mapping SourceColumn="project" DataSetColumn="project" />
              <Mapping SourceColumn="pdate" DataSetColumn="pdate" />
              <Mapping SourceColumn="ItemName" DataSetColumn="ItemName" />
              <Mapping SourceColumn="stock" DataSetColumn="stock" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="jagosummaryTableAdapter" GeneratorDataComponentClassName="jagosummaryTableAdapter" Name="jagosummary" UserDataComponentName="jagosummaryTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectName="GroupWare.dbo.Items" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT  Items.idx, MAX(Inventory.pdate) AS lastDate, Items.name, Items.sid, Items.model, SUM(Inventory.dr_qty) AS Qty, SUM(Inventory.dr_amt) AS Amt, Items.supply
FROM     Inventory LEFT OUTER JOIN
               Items ON Inventory.gcode = Items.gcode AND Inventory.item = Items.idx
WHERE  (Inventory.gcode = @gcode) AND (Inventory.pdate &lt;= @baseDate)
GROUP BY Items.idx, Items.name, Items.sid, Items.model, Items.supply</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="gcode" DataSourceName="GroupWare.dbo.Inventory" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="baseDate" ColumnName="pdate" DataSourceName="GroupWare.dbo.Inventory" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@baseDate" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="pdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idx" DataSetColumn="idx" />
              <Mapping SourceColumn="lastDate" DataSetColumn="lastDate" />
              <Mapping SourceColumn="name" DataSetColumn="name" />
              <Mapping SourceColumn="sid" DataSetColumn="sid" />
              <Mapping SourceColumn="model" DataSetColumn="model" />
              <Mapping SourceColumn="Qty" DataSetColumn="Qty" />
              <Mapping SourceColumn="Amt" DataSetColumn="Amt" />
              <Mapping SourceColumn="supply" DataSetColumn="supply" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="jagosummaryPlaceTableAdapter" GeneratorDataComponentClassName="jagosummaryPlaceTableAdapter" Name="jagosummaryPlace" UserDataComponentName="jagosummaryPlaceTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectType="Unknown" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT  Inventory.place, MAX(Inventory.pdate) AS lastDate, Items.name, Items.sid, Items.model, SUM(Inventory.dr_qty) AS Qty, SUM(Inventory.dr_amt) AS Amt, Items.supply, Inventory.item
FROM     Inventory LEFT OUTER JOIN
               Items ON Inventory.gcode = Items.gcode AND Inventory.item = Items.idx
WHERE  (Inventory.gcode = @gcode) AND (Inventory.pdate &lt;= @baseDate) AND (ISNULL(Inventory.place, N'') LIKE @place)
GROUP BY Items.name, Items.sid, Items.model, Items.supply, Inventory.place, Inventory.item</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="gcode" DataSourceName="EE.dbo.Inventory" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="baseDate" ColumnName="pdate" DataSourceName="EE.dbo.Inventory" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@baseDate" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="pdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="place" ColumnName="" DataSourceName="" DataTypeServer="unknown" DbType="String" Direction="Input" ParameterName="@place" Precision="0" Scale="0" Size="1024" SourceColumn="" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="place" DataSetColumn="place" />
              <Mapping SourceColumn="lastDate" DataSetColumn="lastDate" />
              <Mapping SourceColumn="name" DataSetColumn="name" />
              <Mapping SourceColumn="sid" DataSetColumn="sid" />
              <Mapping SourceColumn="model" DataSetColumn="model" />
              <Mapping SourceColumn="Qty" DataSetColumn="Qty" />
              <Mapping SourceColumn="Amt" DataSetColumn="Amt" />
              <Mapping SourceColumn="supply" DataSetColumn="supply" />
              <Mapping SourceColumn="item" DataSetColumn="item" />
            </Mappings>
            <Sources>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectType="Unknown" FillMethodModifier="Public" FillMethodName="FillByItemIdx" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetbyItemIdx" GeneratorSourceName="FillByItemIdx" GetMethodModifier="Public" GetMethodName="GetbyItemIdx" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetbyItemIdx" UserSourceName="FillByItemIdx">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT  Inventory.place, MAX(Inventory.pdate) AS lastDate, Items.name, Items.sid, Items.model, SUM(Inventory.dr_qty) AS Qty, SUM(Inventory.dr_amt) AS Amt, Items.supply, Inventory.item
FROM     Inventory LEFT OUTER JOIN
               Items ON Inventory.gcode = Items.gcode AND Inventory.item = Items.idx
WHERE  (Inventory.gcode = @gcode) AND (Inventory.pdate &lt;= @baseDate) AND (Items.idx = @item)
GROUP BY Items.name, Items.sid, Items.model, Items.supply, Inventory.place, Inventory.item</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="gcode" DataSourceName="EE.dbo.Inventory" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="baseDate" ColumnName="pdate" DataSourceName="EE.dbo.Inventory" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@baseDate" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="pdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="item" ColumnName="idx" DataSourceName="EE.dbo.Items" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@item" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </Sources>
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="DSReport" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="DSReport" msprop:Generator_UserDSName="DSReport">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="PersonInvStock" msprop:Generator_TableClassName="PersonInvStockDataTable" msprop:Generator_TableVarName="tablePersonInvStock" msprop:Generator_RowChangedName="PersonInvStockRowChanged" msprop:Generator_TablePropName="PersonInvStock" msprop:Generator_RowDeletingName="PersonInvStockRowDeleting" msprop:Generator_RowChangingName="PersonInvStockRowChanging" msprop:Generator_RowEvHandlerName="PersonInvStockRowChangeEventHandler" msprop:Generator_RowDeletedName="PersonInvStockRowDeleted" msprop:Generator_RowClassName="PersonInvStockRow" msprop:Generator_UserTableName="PersonInvStock" msprop:Generator_RowEvArgName="PersonInvStockRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="username" msdata:ReadOnly="true" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="username" msprop:Generator_ColumnVarNameInTable="columnusername" msprop:Generator_ColumnPropNameInTable="usernameColumn" msprop:Generator_UserColumnName="username" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="project" msdata:ReadOnly="true" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="project" msprop:Generator_ColumnVarNameInTable="columnproject" msprop:Generator_ColumnPropNameInTable="projectColumn" msprop:Generator_UserColumnName="project" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="pdate" msdata:ReadOnly="true" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="pdate" msprop:Generator_ColumnVarNameInTable="columnpdate" msprop:Generator_ColumnPropNameInTable="pdateColumn" msprop:Generator_UserColumnName="pdate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ItemName" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="ItemName" msprop:Generator_ColumnVarNameInTable="columnItemName" msprop:Generator_ColumnPropNameInTable="ItemNameColumn" msprop:Generator_UserColumnName="ItemName" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="stock" msdata:ReadOnly="true" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="stock" msprop:Generator_ColumnVarNameInTable="columnstock" msprop:Generator_ColumnPropNameInTable="stockColumn" msprop:Generator_UserColumnName="stock" type="xs:int" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="jagosummary" msprop:Generator_TableClassName="jagosummaryDataTable" msprop:Generator_TableVarName="tablejagosummary" msprop:Generator_TablePropName="jagosummary" msprop:Generator_RowDeletingName="jagosummaryRowDeleting" msprop:Generator_RowChangingName="jagosummaryRowChanging" msprop:Generator_RowEvHandlerName="jagosummaryRowChangeEventHandler" msprop:Generator_RowDeletedName="jagosummaryRowDeleted" msprop:Generator_UserTableName="jagosummary" msprop:Generator_RowChangedName="jagosummaryRowChanged" msprop:Generator_RowEvArgName="jagosummaryRowChangeEvent" msprop:Generator_RowClassName="jagosummaryRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idx" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnidx" msprop:Generator_ColumnPropNameInRow="idx" msprop:Generator_ColumnPropNameInTable="idxColumn" msprop:Generator_UserColumnName="idx" type="xs:int" minOccurs="0" />
              <xs:element name="lastDate" msdata:ReadOnly="true" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="lastDate" msprop:Generator_ColumnVarNameInTable="columnlastDate" msprop:Generator_ColumnPropNameInTable="lastDateColumn" msprop:Generator_UserColumnName="lastDate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="name" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="name" msprop:Generator_ColumnVarNameInTable="columnname" msprop:Generator_ColumnPropNameInTable="nameColumn" msprop:Generator_UserColumnName="name" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sid" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="sid" msprop:Generator_ColumnVarNameInTable="columnsid" msprop:Generator_ColumnPropNameInTable="sidColumn" msprop:Generator_UserColumnName="sid" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="model" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="model" msprop:Generator_ColumnVarNameInTable="columnmodel" msprop:Generator_ColumnPropNameInTable="modelColumn" msprop:Generator_UserColumnName="model" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Qty" msdata:ReadOnly="true" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="Qty" msprop:Generator_ColumnVarNameInTable="columnQty" msprop:Generator_ColumnPropNameInTable="QtyColumn" msprop:Generator_UserColumnName="Qty" type="xs:int" minOccurs="0" />
              <xs:element name="Amt" msdata:ReadOnly="true" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="Amt" msprop:Generator_ColumnVarNameInTable="columnAmt" msprop:Generator_ColumnPropNameInTable="AmtColumn" msprop:Generator_UserColumnName="Amt" type="xs:decimal" minOccurs="0" />
              <xs:element name="supply" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="supply" msprop:Generator_ColumnVarNameInTable="columnsupply" msprop:Generator_ColumnPropNameInTable="supplyColumn" msprop:Generator_UserColumnName="supply" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="jagosummaryPlace" msprop:Generator_TableClassName="jagosummaryPlaceDataTable" msprop:Generator_TableVarName="tablejagosummaryPlace" msprop:Generator_TablePropName="jagosummaryPlace" msprop:Generator_RowDeletingName="jagosummaryPlaceRowDeleting" msprop:Generator_RowChangingName="jagosummaryPlaceRowChanging" msprop:Generator_RowEvHandlerName="jagosummaryPlaceRowChangeEventHandler" msprop:Generator_RowDeletedName="jagosummaryPlaceRowDeleted" msprop:Generator_UserTableName="jagosummaryPlace" msprop:Generator_RowChangedName="jagosummaryPlaceRowChanged" msprop:Generator_RowEvArgName="jagosummaryPlaceRowChangeEvent" msprop:Generator_RowClassName="jagosummaryPlaceRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="place" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="place" msprop:Generator_ColumnVarNameInTable="columnplace" msprop:Generator_ColumnPropNameInTable="placeColumn" msprop:Generator_UserColumnName="place" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="lastDate" msdata:ReadOnly="true" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="lastDate" msprop:Generator_ColumnVarNameInTable="columnlastDate" msprop:Generator_ColumnPropNameInTable="lastDateColumn" msprop:Generator_UserColumnName="lastDate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="name" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="name" msprop:Generator_ColumnVarNameInTable="columnname" msprop:Generator_ColumnPropNameInTable="nameColumn" msprop:Generator_UserColumnName="name" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sid" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="sid" msprop:Generator_ColumnVarNameInTable="columnsid" msprop:Generator_ColumnPropNameInTable="sidColumn" msprop:Generator_UserColumnName="sid" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="model" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="model" msprop:Generator_ColumnVarNameInTable="columnmodel" msprop:Generator_ColumnPropNameInTable="modelColumn" msprop:Generator_UserColumnName="model" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Qty" msdata:ReadOnly="true" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="Qty" msprop:Generator_ColumnVarNameInTable="columnQty" msprop:Generator_ColumnPropNameInTable="QtyColumn" msprop:Generator_UserColumnName="Qty" type="xs:int" minOccurs="0" />
              <xs:element name="Amt" msdata:ReadOnly="true" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="Amt" msprop:Generator_ColumnVarNameInTable="columnAmt" msprop:Generator_ColumnPropNameInTable="AmtColumn" msprop:Generator_UserColumnName="Amt" type="xs:decimal" minOccurs="0" />
              <xs:element name="supply" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="supply" msprop:Generator_ColumnVarNameInTable="columnsupply" msprop:Generator_ColumnPropNameInTable="supplyColumn" msprop:Generator_UserColumnName="supply" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="item" msprop:nullValue="-1" msprop:Generator_ColumnPropNameInRow="item" msprop:Generator_ColumnVarNameInTable="columnitem" msprop:Generator_ColumnPropNameInTable="itemColumn" msprop:Generator_UserColumnName="item" type="xs:int" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1">
      <xs:selector xpath=".//mstns:jagosummary" />
      <xs:field xpath="mstns:idx" />
    </xs:unique>
  </xs:element>
</xs:schema>